com.holonplatform.vaadin.flow.components.builders

## Interface PropertyFormConfigurator<L extends com.vaadin.flow.component.HasElement,E extends HasComponent,G extends ComponentGroup<E>,C extends PropertyFormConfigurator<L,E,G,C>>

- Type Parameters:
    `L` - Composition layout type
    `E` - Group elements type
    `G` - Component group type
    `C` - Concrete builder type
  All Superinterfaces:
    ComponentConfigurator<C>, ComposableConfigurator<L,E,G,C>, HasElementConfigurator<C>
  All Known Subinterfaces:
    PropertyInputFormBuilder<C>, PropertyInputFormConfigurator<C,B>, PropertyViewFormBuilder<C>, PropertyViewFormConfigurator<C>

      public interface PropertyFormConfigurator<L extends com.vaadin.flow.component.HasElement,E extends HasComponent,G extends ComponentGroup<E>,C extends PropertyFormConfigurator<L,E,G,C>>
      extends ComposableConfigurator<L,E,G,C>, ComponentConfigurator<C>

  Property form configurator.
  Since:
    5.2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `C` | `hidePropertyCaption(com.holonplatform.core.property.Property<?> property)` Hide the caption for the component bound to given property.
    `C` | `propertyCaption(com.holonplatform.core.property.Property<?> property, com.holonplatform.core.i18n.Localizable caption)` Set the localizable caption for the component bound to given property.
    `C` | `propertyCaption(com.holonplatform.core.property.Property<?> property, String caption)` Set the caption for the component bound to given property.
    `C` | `propertyCaption(com.holonplatform.core.property.Property<?> property, String defaultCaption, String messageCode, Object... arguments)` Set the localizable caption for the component bound to given property.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComposableConfigurator

      `composeOnAttach, composer, initializer`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `create, elementConfiguration, hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

- - ### Method Detail

    - #### propertyCaption

          C propertyCaption(com.holonplatform.core.property.Property<?> property,
                            com.holonplatform.core.i18n.Localizable caption)

      Set the localizable caption for the component bound to given property. By default, the caption is obtained from `Property` itself (which is `Localizable`).
      Parameters:
        `property` - Property for which to set the caption (not null)
        `caption` - Localizable caption
      Returns:
        this
      See Also:
        `LocalizationProvider`

    - #### propertyCaption

          C propertyCaption(com.holonplatform.core.property.Property<?> property,
                            String caption)

      Set the caption for the component bound to given property. By default, the caption is obtained from `Property` itself (which is `Localizable`).
      Parameters:
        `property` - Property for which to set the caption (not null)
        `caption` - The caption
      Returns:
        this

    - #### propertyCaption

          C propertyCaption(com.holonplatform.core.property.Property<?> property,
                            String defaultCaption,
                            String messageCode,
                            Object... arguments)

      Set the localizable caption for the component bound to given property. By default, the caption is obtained from `Property` itself (which is `Localizable`).
      Parameters:
        `property` - Property for which to set the caption (not null)
        `defaultCaption` - Default caption if no translation is available for given `messageCode`
        `messageCode` - Caption translation message key
        `arguments` - Optional translation arguments
      Returns:
        this
      See Also:
        `LocalizationProvider`

    - #### hidePropertyCaption

          C hidePropertyCaption(com.holonplatform.core.property.Property<?> property)

      Hide the caption for the component bound to given property.
      Parameters:
        `property` - Property for which to hide the caption (not null)
      Returns:
        this

Copyright © 2019 The Holon Platform. All rights reserved.